/**
 * Independent time operation tool to facilitate subsequent switch to dayjs
 */
import dayjs from 'dayjs';

const DATE_TIME_FORMAT = 'YYYY-MM-DD HH:mm:ss';
const DATE_FORMAT = 'YYYY-MM-DD';
const DATE_DAY_FORMAT = 'YYYY-MM-DD HH:mm';


export function formatToDateTime(date?: dayjs.ConfigType, format = DATE_TIME_FORMAT): string {
  return dayjs(date).format(format);
}

export function formatToDate(date?: dayjs.ConfigType, format = DATE_FORMAT): string {
  return dayjs(date).format(format);
}
export function formatToDateDay(date?: dayjs.ConfigType, format = DATE_DAY_FORMAT): string {
  return dayjs(date).format(format);
}
export function isBeforeToDay(date?: dayjs.ConfigType): boolean {
  //获取今天的日期
  const now = dayjs();
  return dayjs(date).isBefore(dayjs(now));
}

export const dateUtil = dayjs;
